Get System Licensing Info
Get the Licensing information of system
Successful
[
{
"resourceType": "One among: SYSTEM, DOMAIN, CLUSTER, NSXT_CLUSTER",
"resourceId": "string",
"licensingMode": "One among: SUBSCRIPTION, PERPETUAL, MIXED",
"subscriptionStatus": "One among: UNSUBSCRIBED, ACTIVE, EXPIRED",
"subscribedState": "One among: UNSUBSCRIBED, PARTIALLY_SUBSCRIBED, SUBSCRIBED",
"isRegistered": false,
"isSubscribed": false,
"daysRemainingToSubscribe": 0,
"entitlements": {
"hasNsxEntitlement": false
}
}
]
Licensing information of the resource
Internal server error
{
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
{
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
"Error Object"
],
"referenceToken": "string"
}
],
"referenceToken": "string"
}
The minor error code
The error type
The arguments used to localize the message, Can be used by scripts to automate the error processing.
The error context (e.g. the component where it occurred).
The localized error message
The localized remediation error message
The underlying cause exceptions.
The nested errors when the error is a composite one
A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.
curl -H 'Authorization: <value>' https://{api_host}/v1/licensing-info/system